%define name		jonas
%define version		3.3.6
%define release		1jpp
%define section		free

%define summary		JOnAS J2EE/EJB server
%define distribution	JPackage
%define vendor		JPackage Project

#	jonasrootdir	/usr/share/jonas
%define jonasrootdir	%{_datadir}/%{name}
#	confdir		/etc/jonas
%define confdir		%{_sysconfdir}/%{name}
#	logsdir		/var/log/jonas
%define logsdir		%{_localstatedir}/log/%{name}
#	syslibdir	/var/lib
%define syslibdir	%{_localstatedir}/lib
%define appsdir		%{syslibdir}/%{name}/apps
%define webappsdir	%{syslibdir}/%{name}/webapps
%define ejbjarsdir	%{syslibdir}/%{name}/ejbjars
%define clientsdir	%{syslibdir}/%{name}/clients
%define rarsdir		%{syslibdir}/%{name}/rars
%define libdir		%{syslibdir}/%{name}/lib
#	workdir		/var/cache/jonas/work
%define workdir		%{_localstatedir}/cache/%{name}/work

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
Vendor:         %{vendor}
Distribution:   %{distribution}
URL:            http://jonas.objectweb.org/
BuildArch:      noarch
Source0:        %{name}%{version}-src.tgz
Source1:	JONAS.README.RPM
# Privated files
#--------------------------------
Source2:	jclient.sh
#--------------------------------

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

#
# Build dependencies
# --------------------------------------------------------------------

# J2EE APIs (mainly non-freely distributable)
BuildRequires:  jaf
BuildRequires:	jms
BuildRequires:	servletapi4
BuildRequires:	ejb = 0:2.1
BuildRequires:	jta
#BuildRequires:	jmx = 0:1.2
BuildRequires:	jaas-ext
BuildRequires:	jsse-ext
BuildRequires:	jdbc-stdext
BuildRequires:	jndi = 0:1.2.1
BuildRequires:	javamail = 0:1.3.1
	
# Jakarta Commons
BuildRequires:  jakarta-commons-beanutils >= 0:1.6
BuildRequires:	jakarta-commons-collections >= 0:2.1
BuildRequires:	jakarta-commons-discovery >= 0:
BuildRequires:  jakarta-commons-digester >= 0:1.5
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jakarta-commons-modeler >= 0:1.0

# Other Jakarta libs
BuildRequires:	log4j
BuildRequires:	struts
BuildRequires:	axis >= 0:1.1
BuildRequires:	tomcat4 >= 0:4.1.29
BuildRequires:	ant-optional >= 0:1.5
BuildRequires:	xerces-j2 >= 0:2.5.0

# Objectweb components
BuildRequires:	jonathan >= 0:3.1

# Miscellaneous
BuildRequires:  mx4j
BuildRequires:	dtdparser >= 0:1.13
BuildRequires:  jdom
BuildRequires:  jpackage-utils >= 0:1.5.24
BuildRequires:	javagroups >= 0:2.0.6
BuildRequires:	wsdl4j

# Java
BuildRequires:	java >= 0:1.3.1
BuildRequires:	java-devel >= 0:1.3.1

# --------------------------------------------------------------------
# End Build dependencies
#

#
# Execution dependencies
# --------------------------------------------------------------------

# J2EE APIs (mainly non-freely distributable)
Requires:	jaf
Requires:	jms
Requires:	servletapi4
Requires:	ejb = 0:2.1
Requires:	jta
#Requires:	jmx = 0:1.2
Requires:	jaas-ext
Requires:	jsse-ext
Requires:	jdbc-stdext
Requires:	jndi = 0:1.2.1
Requires:	javamail = 0:1.3.1
	
# Jakarta Commons
Requires:  	jakarta-commons-beanutils >= 0:1.6
Requires:	jakarta-commons-collections >= 0:2.1
Requires:	jakarta-commons-discovery >= 0:
Requires:  	jakarta-commons-digester >= 0:1.5
Requires:	jakarta-commons-logging >= 0:1.0.3
Requires:	jakarta-commons-modeler >= 0:1.0
Requires:	xml-commons-apis >= 0:1.0

# Other Jakarta libs
Requires:	log4j
Requires:	struts
Requires:	axis >= 0:1.1
Requires:	tomcat4 >= 0:4.1.29
Requires:	ant-optional >= 0:1.5
Requires:	ant >= 0:1.5
Requires:	bcel >= 0:5.1
Requires:	xerces-j2 >= 0:2.5.0

# Objectweb components
Requires:	jonathan >= 0:3.1

# Miscellaneous
Requires:  	mx4j
Requires:  	jpackage-utils >= 0:1.5.24
Requires:	javagroups >= 0:2.0.6
Requires:	wsdl4j

# Java
Requires:	java >= 0:1.3.1
Requires:	java-devel >= 0:1.3.1

# --------------------------------------------------------------------
# End Execution dependencies
#

%description
JOnAS which was started in 1998 as an EJB container, is now a fully mature
application server providing full J2EE support.
JOnAS which is highly scalable,  integrates high quality components such
as JORAM (JMS support) and JORM (persistence). JOnAS can run with either 
Tomcat or Jetty as Web Container.
JOnAS has already been downloaded by more than 150 000 people and is used
in hundreds of operational applications (e-commerce, e-portal, management
systems, intranet applications, document processing, inventory systems,
reservation systems, banking applications, ...) with different operating
systems (Windows*, Linux, Solaris, AIX, HP-UX, ...) different JVMs, and
different databases (Oracle, PostgreSQL, MySQL, SQL server, Access, DB2,
ObjectStore, Informix, Interbase, ...). JOnAS is developed by the
ObjectWeb Consortium which is an Open Source software community
targetting the development of Open Source distributed middleware, in the
form of flexible and adaptable components. For more infos on ObjectWeb and
JOnAS please visit <http://www.objectweb.org/> and 
<http://jonas.objectweb.org/>.

# -----------------------------------------------------------------------------

# -----------------------------------------
# RPM Build preparation (1)
# -----------------------------------------
%prep

# Clean existing builds
rm -rf  $RPM_BUILD_DIR/%{name}*

%setup -q -c %{name} -n %{name}

# Link preparation (dependencies)
# Includes all jars already existing as rpms
# ------------------------------------------

# javagroups
pushd $RPM_BUILD_DIR/%{name}/externals/carol/javagroups
	find . -name "*.jar" -exec rm -f {} \;

	build-jar-repository . javagroups
popd

# J2EE apis
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/activation
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . activation
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/ejb
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . ejb
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jms
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jms
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jndi
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jndi
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jaas
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jaas
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jta
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jta
popd
# Our jts version is more recent 2001vs1998
#pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jts
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . jts
#popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jdbc
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jdbc-stdext
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/mail
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . javamail/imap javamail/mailapi javamail/pop3 javamail/smtp
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/servlet
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . servletapi4
popd

# Jakarta libs
# -----------------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-beanutils
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-beanutils
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-collections
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-collections
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-digester
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-digester
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-logging
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-logging
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-modeler
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-modeler
popd
# -----------------------------------------------------------------
#

# JMX
# ----------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/jmx/mx4j
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . mx4j/mx4j-tools mx4j/mx4j-jmx
popd

# 3.3.6 cannot depends on jmx
#pushd $RPM_BUILD_DIR/%{name}/externals/jmx/jmx
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . jmxri-1.2 jmxtools
#popd
# ----------------------------------------------------
#

pushd $RPM_BUILD_DIR/%{name}/externals/log/log4j
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . log4j
popd

pushd $RPM_BUILD_DIR/%{name}/externals/struts
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . struts
popd

pushd $RPM_BUILD_DIR/%{name}/externals/jonathan
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jonathan nanoxml-lite oldkilim
popd

# XML Libraries
# ------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/xml/dtdparser
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . dtdparser
popd
pushd $RPM_BUILD_DIR/%{name}/externals/xml/jdom
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jdom
popd
pushd $RPM_BUILD_DIR/%{name}/externals/xml/xerces
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . xerces-j2
popd
pushd $RPM_BUILD_DIR/%{name}/externals/xml/xmlParser
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . xml-commons-apis
popd
# ------------------------------------------------------
#

# Web Services libraries
# ------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/ws/axis
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . axis/axis axis/axis-ant axis/jaxrpc axis/saaj commons-discovery commons-logging
popd
pushd $RPM_BUILD_DIR/%{name}/externals/ws/wsdl4j
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . wsdl4j
popd
pushd $RPM_BUILD_DIR/%{name}/externals/ws/jcert
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jsse/jcert
popd
pushd $RPM_BUILD_DIR/%{name}/externals/ws/jnet
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jsse/jnet
popd
pushd $RPM_BUILD_DIR/%{name}/externals/ws/jsse
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jsse/jsse
popd
# ------------------------------------------------------
#

# Copy privated files into sources
cp %{SOURCE2} src/bin/jclient.sh

# ------------------------------------------
# Build JOnAS from sources (no IIOP version)
# ------------------------------------------
%build

# Try to set a sensible jvm
unset JAVA_HOME
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export PATH="$JAVA_HOME/bin:$PATH"
export JONAS_ROOT="../jonasroot"
export CATALINA_HOME="/usr/share/tomcat4"

# Build JOnAS
ant install

# ------------------------------------------
# Install JOnAS
# ------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

# Copy JONAS.README.RPM
cp %{SOURCE1} .

# Create directories
# -----------------------------------------------------------------------------
# Create /usr/share/jonas
install -d -m 755  $RPM_BUILD_ROOT%{jonasrootdir}/{bin,examples,templates,xml}
# Create /var/log/jonas
install -d -m 755  $RPM_BUILD_ROOT%{logsdir}
# Create /etc/jonas
install -d -m 755  $RPM_BUILD_ROOT%{confdir}
# Create /var/cache/jonas/work
install -d -m 755  $RPM_BUILD_ROOT%{workdir}
# Create /var/lib/jonas
install -d -m 755  $RPM_BUILD_ROOT/{%{webappsdir},%{ejbjarsdir},%{clientsdir}}
install -d -m 755  $RPM_BUILD_ROOT/{%{rarsdir},%{_bindir},%{appsdir}}
install -d -m 755  $RPM_BUILD_ROOT%{libdir}
# -----------------------------------------------------------------------

# place files into directories
cp -a ../jonasroot/conf/* $RPM_BUILD_ROOT%{confdir}
cp -a ../jonasroot/logs/* $RPM_BUILD_ROOT%{logsdir}
cp -a ../jonasroot/apps/* $RPM_BUILD_ROOT%{appsdir}
cp -a ../jonasroot/webapps/* $RPM_BUILD_ROOT%{webappsdir}
cp -a ../jonasroot/ejbjars/* $RPM_BUILD_ROOT%{ejbjarsdir}
cp -a ../jonasroot/clients/* $RPM_BUILD_ROOT%{clientsdir}
cp -a ../jonasroot/rars/* $RPM_BUILD_ROOT%{rarsdir}

cp ../jonasroot/build.xml $RPM_BUILD_ROOT%{jonasrootdir}
cp ../jonasroot/{LicenceAgreement.txt,ReleaseNotes.txt} $RPM_BUILD_ROOT%{jonasrootdir}
cp -a ../jonasroot/bin/* $RPM_BUILD_ROOT%{jonasrootdir}/bin
cp -a ../jonasroot/examples/* $RPM_BUILD_ROOT%{jonasrootdir}/examples
cp -a ../jonasroot/templates/* $RPM_BUILD_ROOT%{jonasrootdir}/templates
cp -a ../jonasroot/xml/* $RPM_BUILD_ROOT%{jonasrootdir}/xml
cp -a ../jonasroot/lib/* $RPM_BUILD_ROOT%{libdir}

# Create symbolic links
ln -sf %{confdir} $RPM_BUILD_ROOT%{jonasrootdir}/conf
ln -sf %{logsdir} $RPM_BUILD_ROOT%{jonasrootdir}/logs
ln -sf %{appsdir} $RPM_BUILD_ROOT%{jonasrootdir}/apps
ln -sf %{webappsdir} $RPM_BUILD_ROOT%{jonasrootdir}/webapps
ln -sf %{ejbjarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/ejbjars
ln -sf %{clientsdir} $RPM_BUILD_ROOT%{jonasrootdir}/clients
ln -sf %{rarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/rars
ln -sf %{workdir} $RPM_BUILD_ROOT%{jonasrootdir}/work
ln -sf %{libdir} $RPM_BUILD_ROOT%{jonasrootdir}/lib

# Remove jars resolved from dependencies
# ------------------------------------------------
pushd $RPM_BUILD_ROOT%{libdir}/common/carol
	find . -name "*.jar" -not -name "carol*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/j2ee
	find . -name "*.jar" -not -name "*connector*" \
			     -not -name "*jts*" \
			     -not -name "*providerutil*" \
			     -not -name "*rmiregistry*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/jakarta
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/jmx
	find . -name "*.jar" -not -name "*jmxri*" \
			     -not -name "*jmxtools*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/jonathan
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/log
	find . -name "*.jar" -not -name "ow_monolog*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/xml
	find . -name "*.jar" -not -name "*zeus*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/ws/axis
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/ws/wsdl4j
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/ws/jcert
	find . -name "*.jar" -exec rm -f {} \;
popd
pushd $RPM_BUILD_ROOT%{libdir}/common/ws/jnet
	find . -name "*.jar" -exec rm -f {} \;
popd
pushd $RPM_BUILD_ROOT%{libdir}/common/ws/jsse
	find . -name "*.jar" -exec rm -f {} \;
popd

# install jonas scripts in bin directory
cp $RPM_BUILD_ROOT%{jonasrootdir}/bin/unix/jonas $RPM_BUILD_ROOT%{_bindir}/jonas
cp $RPM_BUILD_ROOT%{jonasrootdir}/bin/unix/jclient $RPM_BUILD_ROOT%{_bindir}/jclient

# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT


# --------------------------------------
# Prepare the installation of JOnAS
# --------------------------------------
%pre

# Create a jonas group and account
JONAS_SHELL=/bin/false
[ -x /sbin/nologin ] && JONAS_SHELL=/sbin/nologin
groupadd -r jonas 2>/dev/null || :
useradd -c Jonas -r -s $JONAS_SHELL -d %{jonasrootdir} -g jonas jonas 2>/dev/null || :


# ----------------------------------------
# Prepare the uninstallation of JOnAS
# ----------------------------------------
%preun

# delete all jars in jonas lib directory
find %{libdir} -name '*.jar' -not -type d -exec rm -f {} \;


# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%post

# Try to set a sensible jvm
unset JAVA_HOME
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java

# Manage RPM dependencies
# -------------------------------------------------------------
build-jar-repository %{libdir}/common/carol/javagroups 	javagroups

build-jar-repository %{libdir}/common/j2ee/activation	activation
build-jar-repository %{libdir}/common/j2ee/ejb		ejb
build-jar-repository %{libdir}/common/j2ee/jaas		jaas
build-jar-repository %{libdir}/common/j2ee/jdbc		jdbc-stdext
build-jar-repository %{libdir}/common/j2ee/jms		jms
build-jar-repository %{libdir}/common/j2ee/jndi		jndi
build-jar-repository %{libdir}/common/j2ee/jta		jta
build-jar-repository %{libdir}/common/j2ee/mail		javamail/imap
build-jar-repository %{libdir}/common/j2ee/mail		javamail/mailapi
build-jar-repository %{libdir}/common/j2ee/mail		javamail/pop3
build-jar-repository %{libdir}/common/j2ee/mail		javamail/smtp

build-jar-repository %{libdir}/common/jakarta/commons-beanutils		commons-beanutils
build-jar-repository %{libdir}/common/jakarta/commons-collections	commons-collections
build-jar-repository %{libdir}/common/jakarta/commons-digester		commons-digester
build-jar-repository %{libdir}/common/jakarta/commons-logging		commons-logging
build-jar-repository %{libdir}/common/jakarta/commons-modeler		commons-modeler

# 3.3.6 cannot depends on jmx
#build-jar-repository %{libdir}/common/jmx/jmx		jmxri-1.2
#build-jar-repository %{libdir}/common/jmx/jmx		jmxtools

build-jar-repository %{libdir}/common/jmx/mx4j		mx4j/mx4j-jmx
build-jar-repository %{libdir}/common/jmx/mx4j		mx4j/mx4j-tools

build-jar-repository %{libdir}/common/jonathan		jonathan
build-jar-repository %{libdir}/common/jonathan		nanoxml-lite
build-jar-repository %{libdir}/common/jonathan		oldkilim

build-jar-repository %{libdir}/common/log/log4j 	log4j

build-jar-repository %{libdir}/common/xml/xerces	xerces-j2
build-jar-repository %{libdir}/common/xml/xmlParser	xml-commons-apis

build-jar-repository %{libdir}/common/ws/jcert		jsse/jcert
build-jar-repository %{libdir}/common/ws/jnet		jsse/jnet
build-jar-repository %{libdir}/common/ws/jsse		jsse/jsse

build-jar-repository %{libdir}/common/ws/axis 		axis/axis axis/axis-ant
build-jar-repository %{libdir}/common/ws/axis 		axis/jaxrpc axis/saaj
build-jar-repository %{libdir}/common/ws/axis 		commons-discovery commons-logging 

build-jar-repository %{libdir}/common/ws/wsdl4j		wsdl4j
# -----------------------------------------------------------------------
# End links

export PATH="$JAVA_HOME/bin:$PATH"
export JONAS_ROOT="/usr/share/jonas"
export CATALINA_HOME="/usr/share/tomcat4"

# create a link a servlet.jar inside Tomcat
build-jar-repository $CATALINA_HOME/common/lib  servlet

# Create jonas "big" jars and pre compile jonasAdmin JSP
cd /usr/share/jonas
# no output
ant install comp_jsp_jadmin_catalina > /dev/null

# remove servlet link
rm $CATALINA_HOME/common/lib/\[servlet\].jar

# jonas root belongs to jonas user
chown jonas:jonas -R /usr/share/jonas

# -----------------------------------------------------------------------------

%postun
if [ "$1" = 0 ]; then
  # on erase
  userdel jonas > /dev/null 2>&1 || :
  groupdel jonas > /dev/null 2>&1 || :
fi

# -----------------------------------------------------------------------------

%files
%defattr(644,root,root,755)
%doc doc/*
%doc JONAS.README.RPM


# < JOnAS Root files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}
%{jonasrootdir}/LicenceAgreement.txt
%{jonasrootdir}/ReleaseNotes.txt
%{jonasrootdir}/build.xml
%{jonasrootdir}/bin/*
%{jonasrootdir}/xml/*
%{jonasrootdir}/examples/*
%{jonasrootdir}/templates/*
%dir %{jonasrootdir}/logs
%dir %{jonasrootdir}/apps
%dir %{jonasrootdir}/rars
%dir %{jonasrootdir}/ejbjars
%dir %{jonasrootdir}/clients
%dir %{jonasrootdir}/webapps
%dir %{jonasrootdir}/work
%dir %{jonasrootdir}/conf
%dir %{jonasrootdir}/lib
# ---------------------
# JOnAS Root files >

# < Configuration files
# ---------------------
%dir %{confdir}
%config %{confdir}/a3debug.cfg
%config %{confdir}/a3servers.xml
%config %{confdir}/carol.properties
%config %{confdir}/db2.properties
%config %{confdir}/FirebirdSQL.properties
%config %{confdir}/InstantDB1.properties
%config %{confdir}/InterBase1.properties
%config %{confdir}/jaas.config
%config %{confdir}/java.policy
%config %{confdir}/jetty.xml
%config %{confdir}/jk2.properties
%config %{confdir}/jonas.properties
%config %{confdir}/jonas-realm.xml
%config %{confdir}/jonathan.xml
%config %{confdir}/MailMimePartDS1.properties
%config %{confdir}/MailSession1.properties
%config %{confdir}/McKoi1.properties
%config %{confdir}/MySQL.properties
%config %{confdir}/Oracle1.properties
%config %{confdir}/PostgreSQL1.properties
%config %{confdir}/server-tomcat5.xml
%config %{confdir}/server.xml
%config %{confdir}/speedo.properties
%config %{confdir}/spy.properties
%config %{confdir}/traceclient.properties
%config %{confdir}/trace.properties
%config %{confdir}/web.xml
%config %{confdir}/wrapper.conf
# ---------------------
# Configuration files >

# < Log files
# ---------------------
%dir %{logsdir}
%{logsdir}/README
# ---------------------
# Log files >

# < Libraries
# ---------------------
%dir %{libdir}
%{libdir}/common/ow_jonas_ant.jar
%{libdir}/common/ow_jonas_axis.jar
%{libdir}/common/ow_jonas_bootstrap.jar
%{libdir}/common/ow_jonas.jar
%{libdir}/common/ow_jonas_jdbc_ra.jar
%{libdir}/common/ow_jonas_jdk13.jar
%{libdir}/common/ow_jonas_tomcat4.jar
%{libdir}/common/acme/AcmeGifEncoder.jar
%{libdir}/common/acme/README
%{libdir}/common/carol/carol.jar
%dir %{libdir}/common/carol/javagroups/
%{libdir}/common/connector/ow_tx_api.jar
%{libdir}/common/connector/ow_tx_ramanager.jar
%{libdir}/common/connector/ow_util_pool_lib.jar
%{libdir}/common/j2ee/README
%dir %{libdir}/common/j2ee/activation/
%dir %{libdir}/common/j2ee/ejb/
%dir %{libdir}/common/j2ee/jaas/
%dir %{libdir}/common/j2ee/jdbc/
%dir %{libdir}/common/j2ee/jms/
%dir %{libdir}/common/j2ee/jndi/
%dir %{libdir}/common/j2ee/jta/
%dir %{libdir}/common/j2ee/mail/
%{libdir}/common/j2ee/connector/connector-1_0.jar
%{libdir}/common/j2ee/jts/jts-spec1_0.jar
%{libdir}/common/j2ee/providerutil/providerutil.jar
%{libdir}/common/j2ee/rmiregistry/rmiregistry.jar
%{libdir}/common/jakarta/README
%dir %{libdir}/common/jakarta/commons-beanutils/
%dir %{libdir}/common/jakarta/commons-collections/
%dir %{libdir}/common/jakarta/commons-digester/
%dir %{libdir}/common/jakarta/commons-logging/
%dir %{libdir}/common/jakarta/commons-modeler/
%{libdir}/common/jdo/jdo.jar
%dir %{libdir}/common/jonathan/
%{libdir}/common/jmx/README
# 3.3.6 cannot depend on jmx
%{libdir}/common/jmx/jmx/jmxri.jar
%{libdir}/common/jmx/jmx/jmxtools.jar
# -----------
%dir %{libdir}/common/jmx/mx4j/
%{libdir}/common/joram/jakarta-regexp/jakarta-regexp-1.2.jar
%{libdir}/common/joram/JCup/JCup.jar
%{libdir}/common/joram/joram/joram.jar
%{libdir}/common/joram/mom/mom.jar
%{libdir}/common/jorm/ow_jorm.jar
%{libdir}/common/jorm/ow_perseus_cache.jar
%{libdir}/common/jorm/ow_perseus_connection_holder.jar
%{libdir}/common/log/ow_monolog.jar
%{libdir}/common/log/README
%dir %{libdir}/common/log/log4j/
%{libdir}/common/medor/ow_medor.jar
%{libdir}/common/p6spy/p6spy.jar
%{libdir}/common/p6spy/README
%{libdir}/common/speedo/speedo_client.jar
%{libdir}/common/velocity/README
%{libdir}/common/velocity/velocity-dep.jar
%{libdir}/common/ws/README
%dir %{libdir}/common/ws/axis/
%{libdir}/common/ws/jaxm/jaxm-api.jar
%{libdir}/common/ws/jaxm/jaxm-runtime.jar
%{libdir}/common/ws/jaxm/README
%{libdir}/common/ws/jaxr/castor-0.9.3.9-xml.jar
%{libdir}/common/ws/jaxr/fscontext.jar
%{libdir}/common/ws/jaxr/jaxr-api.jar
%{libdir}/common/ws/jaxr/jaxr-ri.jar
%{libdir}/common/ws/jaxr/README
%{libdir}/common/ws/jaxr/soap.jar
%dir %{libdir}/common/ws/jcert/
%dir %{libdir}/common/ws/jnet/
%dir %{libdir}/common/ws/jsse/
%dir %{libdir}/common/ws/wsdl4j/
%{libdir}/common/ws/namespace/namespace.jar
%{libdir}/common/xml/README
%dir %{libdir}/common/xml/xerces/
%dir %{libdir}/common/xml/xmlParser/
%{libdir}/ext/README
# ---------------------
# Libraries >

%dir %{appsdir}
%{appsdir}/README
%{appsdir}/autoload/README

%dir %{webappsdir}
%{webappsdir}/autoload/jonasAdmin.war
%{webappsdir}/autoload/README

%dir %{ejbjarsdir}
%{ejbjarsdir}/README
%{ejbjarsdir}/autoload/README

%dir %{clientsdir}
%{clientsdir}/README

%dir %{rarsdir}
%{rarsdir}/README
%{rarsdir}/speedo_for_jonas_ra.rar
%{rarsdir}/autoload/JOnAS_jdbcCP.rar
%{rarsdir}/autoload/JOnAS_jdbcDM.rar
%{rarsdir}/autoload/JOnAS_jdbcDS.rar
%{rarsdir}/autoload/JOnAS_jdbcXA.rar
%{rarsdir}/autoload/README

%attr(755,root,root) %{_bindir}/jonas
%attr(755,root,root) %{_bindir}/jclient

# -----------------------------------------------------------------------------

%changelog
* Mon Mar 08 2004 Guillaume Sauthier <guillaume.sauthier at objectweb.org> - 3.3.6-1jpp
- JOnAS release 3.3.6
- add jonathan dependencie
- remove privated files
- clean spec file
- jmx not included (MBeanException)

* Wed Oct 17 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-2jpp
- Fix change log

* Thu Oct 16 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-1jpp
- JOnAS release 3.3
- File layout change

* Tue Sep 09 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-2jpp
- removed link from %{_javadir}

* Fri Aug 29 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-1jpp
- initial version, JOnAS version 3.2
